- Home
- API Enriched
- Shape
- shape
- GET summary of bot detection rules.
GET summary of bot detection rules.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/summary';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/summary \ --header 'Authorization: <Authorization>'Getbotdetectionrulessummary CustomAPI.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required Namespace is used to scope the query.
Responses
Section titled “Responses”A successful response.
Response for GET bot detection rules summary.
object
object
object
Total number of rules.
object
object
Number of rules which are Off.
Number of rules which are On.
object
Number of rules which are Off.
Number of rules which are On.
object
object
Number of rules which are Off.
Number of rules which are On.
object
Number of rules which are Off.
Number of rules which are On.
Examplegenerated
{ "rule_summary": { "draft": { "total": 1 }, "prod": { "mobile": { "off": 1, "on": 1 }, "web": { "off": 1, "on": 1 } }, "test": { "mobile": { "off": 1, "on": 1 }, "web": { "off": 1, "on": 1 } } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example